library xtoolspackage;

import 'package:flutter/material.dart';
import 'package:intl/intl.dart';

class XUtils {
  static DateTime dateMinForNull = DateTime(1900, 1, 1);
  static String dateToString(DateTime dt) {
    if (dt.compareTo(dateMinForNull) <= 0) {
      return "<no date>";
    } else {
      return DateFormat("dd/MM/yyyy").format(dt);
    }
  }

  static String xToCurrency(BuildContext context, double value) {
    return NumberFormat.simpleCurrency(locale: Localizations.localeOf(context).toString()).format(value);
  }

  static String? validatorBL(dynamic value) {
    if (value == null) return "Compila il campo";

    if (value is DateTime) {
      {
        return null;
      }
    } else if (value.isEmpty) {
      return "Compila il campo";
    }
  }
}
